Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 407441 - dev-php/pecl-memcache-3.0.6-r1 with dev-lang/php-5.4 - work/php5.4/memcache.c:721:4: error: too few arguments to function 'zend_list_insert'
Summary: dev-php/pecl-memcache-3.0.6-r1 with dev-lang/php-5.4 - work/php5.4/memcache.c...
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PHP Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-08 16:41 UTC by Sergiy Borodych
Modified: 2013-03-14 07:40 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,16.10 KB, text/plain)
2012-03-08 16:41 UTC, Sergiy Borodych
Details
emerge --info (emerge.info,4.76 KB, text/plain)
2012-03-08 16:42 UTC, Sergiy Borodych
Details
php-5.4_compatibility.patch (php-5.4_compatibility.patch,3.47 KB, patch)
2012-03-10 20:25 UTC, Sergiy Borodych
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergiy Borodych 2012-03-08 16:41:32 UTC
Created attachment 304639 [details]
build.log

on ~amd64

# emerge -v dev-php/pecl-memcache

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-php/pecl-memcache-3.0.6-r1  USE="session" PHP_TARGETS="php5-4 -php5-3" 54 kB
...
libtool: compile:  x86_64-pc-linux-gnu-gcc -I/usr/lib64/php5.4/include/php -I. -I/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4 -DPHP_ATOM_INC -I/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/include -I/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/main -I/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4 -I/usr/lib64/php5.4/include/php -I/usr/lib64/php5.4/include/php/main -I/usr/lib64/php5.4/include/php/TSRM -I/usr/lib64/php5.4/include/php/Zend -I/usr/lib64/php5.4/include/php/ext -I/usr/lib64/php5.4/include/php/ext/date/lib -DHAVE_CONFIG_H -march=native -mtune=k8-sse3 -O2 -pipe -c /var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/memcache_ascii_protocol.c  -fPIC -DPIC -o .libs/memcache_ascii_protocol.o
In file included from /var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/memcache.c:30:0:
/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/php_memcache.h:75:0: warning: "IS_CALLABLE" redefined
/usr/lib64/php5.4/include/php/Zend/zend.h:576:0: note: this is the location of the previous definition
/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/memcache.c: In function 'mmc_find_persistent':
/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/memcache.c:721:4: error: too few arguments to function 'zend_list_insert'
/usr/lib64/php5.4/include/php/Zend/zend_list.h:73:45: note: declared here
/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/memcache.c:738:4: error: too few arguments to function 'zend_list_insert'
/usr/lib64/php5.4/include/php/Zend/zend_list.h:73:45: note: declared here
/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/memcache.c: In function 'php_mmc_pool_addserver':
/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/memcache.c:778:3: error: too few arguments to function 'zend_list_insert'
/usr/lib64/php5.4/include/php/Zend/zend_list.h:73:45: note: declared here
/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/memcache.c: In function 'php_mmc_connect':
/var/tmp/portage/dev-php/pecl-memcache-3.0.6-r1/work/php5.4/memcache.c:839:3: error: too few arguments to function 'zend_list_insert'
/usr/lib64/php5.4/include/php/Zend/zend_list.h:73:45: note: declared here
make: *** [memcache.lo] Error 1
make: *** Waiting for unfinished jobs....
emake failed
...


[ebuild   R    ] dev-lang/php-5.4.0  USE="apache2 berkdb bzip2 cli crypt ctype exif fileinfo filter ftp gd gdbm hash iconv json nls phar posix readline session simplexml spell sqlite3 ssl threads tokenizer truetype unicode xml zlib -bcmath -calendar -cdb -cgi -cjk -curl -curlwrappers -debug -doc -embed -enchant -firebird -flatfile -fpm (-frontbase) -gmp -imap -inifile -intl -iodbc -ipv6 -kerberos -kolab -ldap -ldap-sasl -libedit -mhash -mssql -mysql -mysqli -mysqlnd -oci8-instant-client -odbc -pcntl -pdo -pic -postgres -qdbm -recode -sharedmem -snmp -soap -sockets (-sybase-ct) -sysvipc -tidy -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xsl -zip"
Comment 1 Sergiy Borodych 2012-03-08 16:42:41 UTC
Created attachment 304641 [details]
emerge --info
Comment 2 Ole Markus With (RETIRED) gentoo-dev 2012-03-08 17:58:30 UTC
Try with USE=-threads.
Comment 3 Sergiy Borodych 2012-03-10 18:52:23 UTC
(In reply to comment #2)
> Try with USE=-threads.

thanks,
this works,
but this solution not even workaround, because apache depend on USE=-threads, etc
Comment 4 Ole Markus With (RETIRED) gentoo-dev 2012-03-10 19:17:09 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Try with USE=-threads.
> 
> thanks,
> this works,
> but this solution not even workaround, because apache depend on
> USE=-threads, etc

You can use -threads for apache as well.
Comment 5 Sergiy Borodych 2012-03-10 20:05:16 UTC
yes, but I do not want this

additional info here

https://bugs.php.net/bug.php?id=61289
http://svn.php.net/viewvc?view=revision&revision=319585

just need to backport patch
Comment 6 Ole Markus With (RETIRED) gentoo-dev 2012-03-10 20:08:37 UTC
Sorry, but the 3.x branch is unstable upstream and this package is unstable in the tree, so we'll rather wait for an upstream stable release.
Comment 7 Sergiy Borodych 2012-03-10 20:25:32 UTC
Created attachment 304865 [details, diff]
php-5.4_compatibility.patch

this patch works for me
Comment 8 David Carlos Manuelda 2012-04-03 23:20:02 UTC
(In reply to comment #7)
> Created attachment 304865 [details, diff] [details, diff]
> php-5.4_compatibility.patch
> 
> this patch works for me

That patch seems applied upstream in their SVN trunk.
Comment 9 Craig Andrews gentoo-dev 2012-04-25 01:48:45 UTC
If this bug isn't fixed with the patch, it should be fixed by adding a use flag dependency: dev-lang/php[-threads]
Comment 10 Qing Lei 2012-08-17 09:31:13 UTC
add the live ebuild for pecl-memcache.
https://bugs.gentoo.org/show_bug.cgi?id=431716
Comment 11 Matt McAdoo 2012-10-17 15:28:47 UTC
I copied the 3.0.6-r1 ebuild to 3.0.7 and it compiled and installed fine for me.  http://pecl.php.net/package/memcache/3.0.7